Blend

Get Blend positions valued at a ledger

GET
/v1/users/{address}/positions/blend/at/{ledger}

Authorization

OrionApiKey
x-orion-token<token>

In: header

Path Parameters

address*string

Stellar account or contract address

ledger*integer

Ledger sequence to value the positions at. Must be at least 1 and at most the last indexed ledger.

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/string/positions/blend/at/0"
{  "data": {    "address": "string",    "positions": [      {        "asset_amount": "string",        "asset_id": "string",        "contract": "string",        "contract_name": "string",        "decimals": 0,        "position_type": "collateral",        "price_ledger": 0,        "price_raw": "string",        "rate": "string",        "rate_ledger": 0,        "rate_raw": "string",        "share_amount": "string",        "snapshot_ledger": 0,        "symbol": "string",        "unavailable_reason": "string",        "usd_value": "string"      }    ],    "requested_ledger": 0,    "summary": null  },  "enrichment": {    "assets": {      "property1": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      },      "property2": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      }    },    "contracts": {      "property1": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      },      "property2": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      }    }  },  "meta": {    "as_of_ledger": 0,    "attribution_confidence": 0,    "data_staleness_seconds": 0,    "last_indexed_ledger": 0,    "ledger_lag_seconds": 0,    "oracle_staleness_seconds": 0,    "partial_result": true,    "requested_ledger": 0,    "response_time_ms": 0,    "sources": [      "soroban_rpc"    ]  }}